POST
Create card
Use this endpoint to create a card for a cardholder with a designated card product and initial deposit amount.
Request
ApiKeyIssuing API key request header assigned by Onerway.
Example:
replace_with_issuing_api_keyclientRequestIdIdempotent request ID for card creation.
Example:
REQ_20260101_001cardholderIdCardholder ID to associate with the card.
Example:
300001productIdCard product ID confirmed with Onerway.
Example:
1amountInitial deposit amount for the card.
Example:
100Constraints
- Rule
- Must be greater than 0 and support up to 2 decimal places.
curl -X POST 'https://sandbox-api.onerway.com/api/v1/merchant/card/createCard' \
-H 'ApiKey: replace_with_issuing_api_key' \
-H 'Content-Type: application/json' \
--data-raw '{
"amount": 100,
"cardholderId": 300001,
"clientRequestId": "REQ_20260101_001",
"productId": 1
}'Response
respCodeBusiness response code.
20000 means success.respMsgResponse message.
data{ cardId }Created card information.
{
"respCode": "20000",
"respMsg": "success",
"data": {
"cardId": 100001
}
}No error responses are documented for this endpoint.